Bug 5301 - Unable to apply changes to bootloader through drakboot
: Unable to apply changes to bootloader through drakboot
Status: RESOLVED INVALID
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: x86_64 Linux
: High Severity: normal
: Mageia 2
Assigned To: Mageia Bug Squad
:
:
:
: NEEDINFO
:
:
  Show dependency treegraph
 
Reported: 2012-04-09 08:50 CEST by Andrew
Modified: 2012-04-11 01:49 CEST (History)
5 users (show)

See Also:
Source RPM: oxygen-gtk
CVE:
Status comment:


Attachments
Menu.lst (1.23 KB, text/plain)
2012-04-09 23:43 CEST, Andrew
Details

Description Andrew 2012-04-09 08:50:11 CEST
When trying to update the bootloader through the Mageia Control Panel, changes are not applied.

No error message is produced.

Bug was only experienced on one out of my two machines running Cauldron. The affected machine is using x86_64 version running a dual-boot of Cauldron and Microsoft Windows 7 Home Premium SP1 on a single hard disk.

Computer model is an Acer netbook AO532h using the KDE 4 environment exclusively.

The UNAFFECTED machine is a Gateway MX6448 with the same dual-boot configuration but running a Gnome 3 environment exclusively.
Comment 1 Manuel Hiebel 2012-04-09 13:54:31 CEST
>When trying to update the bootloader through the Mageia Control Panel, changes
>are not applied.

Can you add more details ? what for update ?

(and maybe *attach* the output of fdisk -l and /boot/grub/menu.lst)
Comment 2 Andrew 2012-04-09 23:43:29 CEST
Created attachment 1957 [details]
Menu.lst

Requested file. Unable to make changes to file graphically via Mageia Control Center's "Set up boot system"

System: Mageia 2 Cauldron Beta 2 x86_64
Acer netbook model # AO532h
KDE 4
Comment 3 Andrew 2012-04-09 23:45:23 CEST
When using "Set up boot system" in the Mageia Control Center - NO changes are applied. Changes attempted including modifying the "Delay before booting default image" value as well as any changes to the boot menu (adding / removing, renaming entries, sorting entries or changing the default OS) - selected bootloader is GRUB with graphical menu.

When attempting to enter the command fdisk -l in konsole, I receive the following reply "bash: fdisk: command not found"
Comment 4 andré blais 2012-04-10 04:35:24 CEST
(In reply to comment #3)
> When attempting to enter the command fdisk -l in konsole, I receive the
> following reply "bash: fdisk: command not found"

Are you using konsole with root privileges ?
fdisk cannot be run as non-root.
You can use su to switch to root in konsole.  (It will ask for the root password.)
Comment 5 Dave Hodgins 2012-04-10 04:53:35 CEST
Also, open a konsole. Use "su -" to switch to root, then run
"mccc", to see if there are any error messages when trying to
change the boot menu settings.
Comment 6 Andrew 2012-04-10 04:58:41 CEST
@andre - Yes, I've gotten into the habit of switching to root upon starting konsole (or any kind of terminal) as I've found that most things I need it for tend to require root priviledges.

@Dave - Will try if problem persists. Attempted reinstallation of Cauldron prior to replies.
Comment 7 Andrew 2012-04-10 06:02:57 CEST
(In reply to comment #5)
> Also, open a konsole. Use "su -" to switch to root, then run
> "mccc", to see if there are any error messages when trying to
> change the boot menu settings.

Problem returned after reinstallation. mccc returned with command not found, assumed was typo and attempted mcc. Several errors were encountered.

Upon selecting "Set up boot system"

The following errors were produced...

"Gtk-Message **: Failed to load module "canberra-gtk-module" at /usr/lib/libDrakX/mygtk2.pm line 20.
Gtk-CRITICAL **: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed at /usr/lib/libDrakX/interactive/gtk.pm line 552.
Gtk-CRITICAL **: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed at /usr/lib/libDrakX/interactive/gtk.pm line 552.
Gtk-CRITICAL **: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed at /usr/lib/libDrakX/interactive/gtk.pm line 552."

The following error was produced when attempting to change the boot menu settings.

"The program 'drakboot' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow'
(Details: serial 56201 error_code 3 request_code 152 minor_code 3)"
Comment 8 Andrew 2012-04-10 06:24:41 CEST
Output of fdisk -l after reinstallation and reaffirming bug listed above

Disk /dev/sda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders, total 312581808 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x4c2e3c34

   Device Boot      Start        End      Blocks   Id  System
/dev/sda1   *          63     208844      104391    7  HPFS/NTFS/exFAT
/dev/sda2          321300  207045719   103362210    7  HPFS/NTFS/exFAT
/dev/sda3       207046656  228139064    10546204+  83  Linux
/dev/sda4       228143097  312576704    42216804    5  Extended
/dev/sda5       228143104  303708824    37782860+  83  Linux
/dev/sda6       303712256  312576704     4432224+  82  Linux swap / Solaris
Comment 9 Manuel Hiebel 2012-04-10 14:50:14 CEST
>The following error was produced when attempting to change the boot menu
>settings.

>"The program 'drakboot' received an X Window System error.
>This probably reflects a bug in the program.
>The error was 'BadWindow'
>(Details: serial 56201 error_code 3 request_code 152 minor_code 3)"

If you have nothing more it seems there is bug somewhere.
Comment 10 Pascal Terjan 2012-04-10 15:04:23 CEST
I don't have much ideas, is the same Gtk theme used under GNOME3 and KDE?
Comment 11 Pascal Terjan 2012-04-10 15:08:18 CEST
http://www.spinics.net/lists/kde/msg19708.html is reporting the same crash on various Gtk apps under KDE
Comment 13 Anne Nicolas 2012-04-10 15:34:42 CEST
Have you an up-to-date system? This bug has been fixed after Beta 2 release
Comment 14 Manuel Hiebel 2012-04-10 15:36:49 CEST
arf nice..., please Andrew for the second time, update your cauldron first before reporting bugs
Comment 15 Andrew 2012-04-10 18:41:05 CEST
Will try and retest, kinda hard given that the RPM DB chews itself up beyond repair whenever I attempt to update, nagging about phantom updates for rpmdrake that are already installed unless by update you mean you have a more recent ISO available. Also not sure how updating would even affect this since the only updates I find are for rpm, urpmi and rpmdrake.

On that note, updating isn't user-friendly on my end either. I have to enable all the update repos first... shouldn't these be enabled by default upon installation?

-_-; I'm trying my best here, very bumpy ride but I want to see this distro florish.
Comment 16 Andrew 2012-04-10 22:01:23 CEST
(In reply to comment #14)
> arf nice..., please Andrew for the second time, update your cauldron first
> before reporting bugs

Unable to update Cauldron successfully. -_-;; First it said no updates were available, then I noticed I had to enable the repos from rpmdrake first. After applying the mandatory updates to RPM, RPMdrake, urpmi, etc. the rpm db breaks. Spitting out the error message - "A fatal error occurred: Couldn't open RPM DB () at /usr/lib/perl5/vendor_perl/5.14.2/Rpmdrake/open_db.pm line 74."

I cannot progress past this point. I've even resorting to reinstalling Cauldron four times already. All attempts met with the same error. Please advise.
Comment 17 Andrew 2012-04-10 22:10:24 CEST
If I attempt to repair the database then I'm stuck in an infinite loop of being forced to install updates that are already applied. Attempts to uninstall and reinstall the offending packages in response have been met with failure, claiming to be removed but never were followed by stating the packages have already been installed.
Comment 18 Manuel Hiebel 2012-04-11 00:05:31 CEST
in your bug 5303 I tell you what's happen, and you was free to ask if you don't found how to fix that (even if I told you the second part, the first was on the duplicate bug)

Closing this one.
Comment 19 Andrew 2012-04-11 01:49:50 CEST
(In reply to comment #18)
> in your bug 5303 I tell you what's happen, and you was free to ask if you don't
> found how to fix that (even if I told you the second part, the first was on the
> duplicate bug)
> 
> Closing this one.

I've tried everything you've suggested. I can't work around or get past bug 5303 either which prevents me from confirming if this bug has been properly addressed either. So please tell me how am I able to update a system that won't update?

Note You need to log in before you can comment on or make changes to this bug.